LPE(1)

NAME
lpe - Lightweight programmer's editor

SYNOPSIS
lpe [ --help | --version ]
lpe [ -- ] file

DESCRIPTION
This page needs to be translated into Bulgarian!!!

Lpe is a minimalist, visual, real-time text editor designed to make editing code easier without alienating its user from the shell. It includes abilities to search files for plain text and block cut and paste, along with standard editing capabilities. It takes some inspiration from emacs(1) and pico(1).

  Options

--help
    Prints a brief description of program usage and terminates. This must be the first option to lpe, and all other options are ignored.

--version
    Prints a message indication the program version and terminates. This must be the first option to lpe, and all other options are ignored.

--  Treat future arguments as file names, not options. This allows lpe to be used to edit files starting with the - character.

NOTES
As mentioned above, lpe is designed as a minimalist editor, meant to be small and robust and efficient, but not to provide too many superfluous features. For this reason, it should not be difficult to learn to use lpe, provided that one is willing to invest effort to learn a few basic keys.

  Command Keys

Up or Alt-K
    Go to previous line of text

Down or Alt-J
    Go to next line of text

Left or Alt-H
    Move cursor left one column

Right or Alt-L
    Move cursor right one column

Home or Alt-0
    Move cursor to beginning of line

End or Alt-$
    Move cursor to end of line

PageUp or Alt-B
    Scroll one screen up

PageDn or Alt-F
    Scroll one screen down

Alt-A
    Move cursor to beginning of buffer

Alt-S
    Move cursor to end of buffer

Ctrl-S
    Search for a specified string in the file

Ctrl-K
    Kill the current line

Ctrl-Y or Ctrl-U
    Insert the most recent block of killed lines

Ctrl-T
    Toggle between hard and soft tab characters

Ctrl-O
    Open a new file within the editor

Ctrl-W
    Write the buffer to disk

Ctrl-Q
    Save to an alternate file

Ctrl-E
    Forget modifications to the buffer

Ctrl-X
    Write the buffer to disk and exit

Ctrl-D
    Perform an internal debug command

<interrupt>
    Exit without writing to disk

Ctrl-Z
    Suspend the editor and escape to a prompt

    <interrupt> refers to your terminal's interrupt key. This is often Ctrl-C, but can vary between terminals. Ctrl-Z, on the other hand, is fixed, regardless of the normal stop key for your terminal.

SEE ALSO
emacs(1), pico(1)

AUTHOR
Chris Smith, cd_smith@ou.edu

BUGS
Lots of 'em -- see the BUGS file in the distribution for a partial list. I am not planning on updating this man page often enough to keep up with the bug list, so I won't even try to list bugs here.